public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/
Date: Thu, 11 Jun 2020 05:49:27 +0000 (UTC)	[thread overview]
Message-ID: <1591853766.0190c4c4fdd593b8badbf74cd142950c52024b34.graaff@gentoo> (raw)

commit:     0190c4c4fdd593b8badbf74cd142950c52024b34
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 11 05:36:06 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jun 11 05:36:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0190c4c4

dev-ruby/ast: add 2.4.1

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ast/Manifest         |  1 +
 dev-ruby/ast/ast-2.4.1.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/ast/Manifest b/dev-ruby/ast/Manifest
index ad9128a011f..a718527c899 100644
--- a/dev-ruby/ast/Manifest
+++ b/dev-ruby/ast/Manifest
@@ -1 +1,2 @@
 DIST ast-2.4.0.gem 15360 BLAKE2B 1d68fa8137bf2a158e8b2e0f30d3d803791db7fcb397133681cd2ffb57badebe6f9afd792a7cf3907dc1fa3e3a617fbb0331c85c69e36a46ca49962f30be9979 SHA512 60a0b00103ed57c71907155ee7966127985021e51c1d829e2149c87066504e76fdb955f9717bb19b5627d5b8c44f0d6a165e208900ede2355a47970ee9664b72
+DIST ast-2.4.1.tar.gz 11046 BLAKE2B ef2bf6e9ac6af90c2cc8844d372fd97ddef3d85f846711f1348534a58e0824b92bc7533a36eb737ff436fe79ccedf2169bd01bd740bf7cbbba89f1062bfc9f0d SHA512 270cd84c034fb017e9bb7637443b51e9ba453e467d39093e1212521372ea9ec1c27c1a71f3cc99ff58b8ce6a762b5363e1238fd98efd3bc794449641e53b0bc2

diff --git a/dev-ruby/ast/ast-2.4.1.ebuild b/dev-ruby/ast/ast-2.4.1.ebuild
new file mode 100644
index 00000000000..77cd5eeb817
--- /dev/null
+++ b/dev-ruby/ast/ast-2.4.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ast.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for working with abstract syntax trees"
+HOMEPAGE="https://github.com/whitequark/ast"
+SRC_URI="https://github.com/whitequark/ast/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	dev-ruby/bacon )"
+
+all_ruby_prepare() {
+	sed -i -e "/[Bb]undler/d" Rakefile || die
+	sed -i -e "/git ls/d" ${PN}.gemspec || die
+	sed -i -e "/simplecov/,+11d" -e "/colored_output/d" test/helper.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -S bacon -Itest -a || die
+}


             reply	other threads:[~2020-06-11  5:49 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-11  5:49 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-31 14:32 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ast/ Hans de Graaff
2025-01-02  9:34 Hans de Graaff
2023-12-28  6:56 Hans de Graaff
2023-03-31  1:03 Sam James
2023-03-14  6:33 Hans de Graaff
2022-06-18  8:40 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2022-04-02  8:57 Hans de Graaff
2021-01-24  6:58 Hans de Graaff
2019-12-31  6:55 Hans de Graaff
2019-01-17  5:26 Hans de Graaff
2018-12-19  6:22 Hans de Graaff
2018-03-21  6:41 Hans de Graaff
2018-01-26  6:28 Hans de Graaff
2017-02-08  6:02 Hans de Graaff
2016-06-08  3:47 Hans de Graaff
2016-03-30  5:29 Hans de Graaff
2016-02-17 22:26 Manuel RĂ¼ger
2015-12-20 19:40 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591853766.0190c4c4fdd593b8badbf74cd142950c52024b34.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox